checkRequire("Lua_LeftInfoBaseWindow")
Lua_KuaFuFuBenWindow = class("Lua_KuaFuFuBenWindow",Lua_LeftInfoBaseWindow)

function Lua_KuaFuFuBenWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_KuaFuFuBenWindow";
	self.skinName = "KuaFu3v3FubenWindow_skin";
end
function Lua_KuaFuFuBenWindow:buildShowItem()
    self:superCall("buildShowItem");

	self.headOne:setSacle(0.64,0.64,0.64)
	self.headTwo:setSacle(0.64,0.64,0.64)

	self.goalOneHead:setSacle(0.8,0.8,0.8);
	self.tarTwoHead:setSacle(0.8,0.8,0.8);
	self.tarThreeHead:setSacle(0.8,0.8,0.8);

	self.blackBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_black_50", 0, 0, 1280, 720);
	self.blackBg.name = "blackBg";
	self.blackBg.alpha = 0.5;
	self.blackBg:setDepth(10);
	self.blackBg:addClickFuntion(self, self.onBlackBgClick);
	self.blackBg:setEnable(true);

	self.ownTwoBar = Lua_ProccessBar.new(self.panle);
 	self.ownTwoBar:setLocation(-558,68,0);
 	self.ownTwoBar.infoTxt.effectStyle = 3;
	self.ownTwoBar.infoTxt.effectColorStr = Lua_ColorDefine.transColor("283D54");
	self.ownTwoBar.infoTxt.colorStr = Lua_ColorDefine.transColor("ffffff")
	self.ownTwoBar.infoTxt:setEffectDistance(1, 1);
	self.ownTwoBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_15",166,23);
	self.ownTwoBar:setTxtCenter();
	self.ownTwoBar:setDepth(0);
	self.ownTwoBar:setInfoTxt(100,100,false,true)

	self.ownThreeBar = Lua_ProccessBar.new(self.panle);
 	self.ownThreeBar:setLocation(-558,-10,0);
 	self.ownThreeBar.infoTxt.effectStyle = 3;
	self.ownThreeBar.infoTxt.effectColorStr = Lua_ColorDefine.transColor("283D54");
	self.ownThreeBar.infoTxt.colorStr = Lua_ColorDefine.transColor("ffffff")
	self.ownThreeBar.infoTxt:setEffectDistance(1, 1);
	self.ownThreeBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_15",166,23);
	self.ownThreeBar:setTxtCenter();
	self.ownThreeBar:setDepth(0);
	self.ownThreeBar:setInfoTxt(100,100,false,true)

	self.goalOneBar = Lua_ProccessBar.new(self.goalOneObg);
 	self.goalOneBar:setLocation(-33,291,0);
 	self.goalOneBar.infoTxt.effectStyle = 3;
	self.goalOneBar.infoTxt.effectColorStr = Lua_ColorDefine.transColor("283D54");
	self.goalOneBar.infoTxt.colorStr = Lua_ColorDefine.transColor("ffffff")
	self.goalOneBar.infoTxt:setEffectDistance(1, 1);
	self.goalOneBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_15",166,23);
	self.goalOneBar:setTxtCenter();
	self.goalOneBar:setDepth(0);
	self.goalOneBar:setInfoTxt(100,100,false,true)

	self.tarTwoBar = Lua_ProccessBar.new(self.tarTwoObg);
 	self.tarTwoBar:setLocation(-33,291,0);
 	self.tarTwoBar.infoTxt.effectStyle = 3;
	self.tarTwoBar.infoTxt.effectColorStr = Lua_ColorDefine.transColor("283D54");
	self.tarTwoBar.infoTxt.colorStr = Lua_ColorDefine.transColor("ffffff")
	self.tarTwoBar.infoTxt:setEffectDistance(1, 1);
	self.tarTwoBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_15",166,26);
	self.tarTwoBar:setTxtCenter();
	self.tarTwoBar:setDepth(0);
	self.tarTwoBar:setInfoTxt(100,100,false,true)

	self.tarThreeBar = Lua_ProccessBar.new(self.tarThreeObg);
 	self.tarThreeBar:setLocation(-33,291,0);
 	self.tarThreeBar.infoTxt.effectStyle = 3;
	self.tarThreeBar.infoTxt.effectColorStr = Lua_ColorDefine.transColor("283D54");
	self.tarThreeBar.infoTxt.colorStr = Lua_ColorDefine.transColor("ffffff")
	self.tarThreeBar.infoTxt:setEffectDistance(1, 1);
	self.tarThreeBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_15",166,26);
	self.tarThreeBar:setTxtCenter();
	self.tarThreeBar:setDepth(0);
	self.tarThreeBar:setInfoTxt(100,100,false,true)

	self.ownBarDIC = {{self.ownTwoBar,self.nameTxtOne,self.headOne},
					   {self.ownThreeBar,self.nameTxtTwo,self.headTwo}
						}; --友方头像和血条
	self.tarBarDIC = {{self.goalOneBar,self.goalOneHead},
					  {self.tarTwoBar,self.tarTwoHead},
					  {self.tarThreeBar,self.tarThreeHead}};--目标头像和血条
	self:roleInfo()

	self:addLuaEvent("ZHEZHAO_END_TIME",self,self.zhezhaoEnd);
	self:addLuaEvent("TEAMFIGHT_INFO",self,self.teamFigetInfo);
	
end
function Lua_KuaFuFuBenWindow:onBlackBgClick()
	--z遮罩点击无效
end
function Lua_KuaFuFuBenWindow:roleInfo()
	local data = DataCenter.KuaFuData
	local ownArrLen = data.leftArr:getSize()
	for i=1,ownArrLen do
		if data.leftArr[i] ~= nil then	
			if isHeadReplaceOpen() == true then
				self:updataOwnHead(data.leftArr[i],i);
			end
		end
	end

	local tarArrLen = data.rightArr:getSize()
	for i=1,tarArrLen do
		if data.rightArr[i] ~= nil then
			if isHeadReplaceOpen() == true then
				self:updataTarHead(data.rightArr[i],i);
			end
		end
	end
end
function Lua_KuaFuFuBenWindow:zhezhaoEnd(msg)
	if msg <= 0 then
		self.blackBg:setEnable(false);
    	DataCenter.hook:start();
	end 
	if self.countDownAni == nil then
		local num = msg
		self.countDownAni = Lua_CountDownAnimation.new(self.content, self, self.addFightEndTimer);
		self.countDownAni:setDepth(10);
		self.countDownAni:playCountDown(num, 1);
	end
	
end
function Lua_KuaFuFuBenWindow:showWin(param)
	self:superCall("showWin", param);
	self.maxTime = param;
	self.timerTxt.text = LanUtil.formateStr(LanUtil.getValue(110930), TimeTransform.getInstance():transSeconds1(self.maxTime, true));
	self:updateWindowDepth();

	--self:setShowState(true);
	
end
function Lua_KuaFuFuBenWindow.Get:offsetWidth()
	return 640;
end

--function Lua_KuaFuFuBenWindow:onCloseClick(go)
--    self:setShowState(not self._showState);
--end

function Lua_KuaFuFuBenWindow:setShowState(val)
	self.state = val;
	self.panle:SetActive(val);
	if val then
		self.closeBtn:setLocation(-387, 134, 0);
		self.closeIcon:setLocation(-387, 138, 0);
		self.closeIcon:setSacle(0.8, 0.8);
	else
		self.closeBtn:setLocation(-620, 134, 0);
		self.closeIcon:setLocation(-620, 138, 0);
		self.closeIcon:setSacle(-0.8, 0.8);
	end
end

function Lua_KuaFuFuBenWindow:updateStartTime()
    if self.lefttime >0 then
        self.lefttime = self.lefttime - 1;
        self.timerTxt.text = LanUtil.formateStr(LanUtil.getValue(110930), TimeTransform.getInstance():transSeconds1(self.lefttime, true));
    else
		Lua_CommonUtil.removeTimer(self, self.updateStartTime);
    end

end
function Lua_KuaFuFuBenWindow:teamFigetInfo()
	
	local data = DataCenter.KuaFuData;
	self.timerTxt.text = LanUtil.formateStr(LanUtil.getValue(110930), TimeTransform.getInstance():transSeconds1(data.remainingTime, true));

	local ownArrLen = data.ownArr:getSize()
	for i=1,ownArrLen do
		if data.ownArr[i] ~= nil then
			self.ownBarDIC[i][1]:setInfoTxt(data.ownArr[i].blood,data.ownArr[i].total_blood,false,true)
			if data.ownArr[i].blood == 0 then
				self.ownBarDIC[i][3]:setGray(true);
			else
				self.ownBarDIC[i][3]:setGray(false);
			end
			
			if isHeadReplaceOpen() == true then
				self:updataOwnHead(data.ownArr[i].role_base,i);
			end
		end
	end

	local tarArrLen = data.tarArr:getSize()
	for i=1,tarArrLen do
		if data.tarArr[i] ~= nil then
			self.tarBarDIC[i][1]:setInfoTxt(data.tarArr[i].blood,data.tarArr[i].total_blood,false,true)
			if tonumber(data.tarArr[i].blood) == 0 then 
				self.tarBarDIC[i][2]:setGray(true);
			else
				self.tarBarDIC[i][2]:setGray(false);
			end
			if isHeadReplaceOpen() == true then
				self:updataTarHead(data.tarArr[i].role_base,i);
			end
		end
	end
	-- self.nameTxtOne.text = data.ownArr[1].role_name
end
function Lua_KuaFuFuBenWindow:updataOwnHead(data,setIndex)
	local role_head = data.role_head_name;
    if role_head ~= nil and role_head ~= "" and role_head ~= "" then
        local isDefault = DataCenter.roleData:isDefaultHead(data.role_career, role_head);
        if isDefault == true then
            if data.head_frame ~= nil and data.head_frame ~= 0 then
                self.ownBarDIC[setIndex][3]:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 1));
            else
                self.ownBarDIC[setIndex][3]:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
            end
        else
            self.ownBarDIC[setIndex][3]:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 1));
            -- if data.head_frame ~= nil and data.head_frame ~= 0 then
                self.ownBarDIC[setIndex][3]:setRoundSize(0, 0.5,0.5,0.25);--圆形
            -- else
            --     self.ownBarDIC[setIndex][3]:setRoundSize(1, 0.5,0.5,0.5);--菱形
            --     self.ownBarDIC[setIndex][3]:setLocation(-305, 1, 0);
            --     self.ownBarDIC[setIndex][3]:SetDimensions(91, 91);
            -- end
        end
    end
    self.ownBarDIC[setIndex][2].text = data.role_name
end
function Lua_KuaFuFuBenWindow:updataTarHead(data,setIndex)
	local role_head = data.role_head_name;
    if role_head ~= nil and role_head ~= "" then
        local isDefault = DataCenter.roleData:isDefaultHead(data.role_career, role_head);
        if isDefault then
            if data.head_frame ~= nil and self.data.head_frame ~= 0 then
                self.tarBarDIC[setIndex][2]:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 1));
            else
                self.tarBarDIC[setIndex][2]:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
            end
        else
            self.tarBarDIC[setIndex][2]:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 1));
            -- if data.head_frame ~= nil and data.head_frame ~= 0 then
                self.tarBarDIC[setIndex][2]:setRoundSize(0, 0.5,0.5,0.25);--圆形
            -- else
            --     self.tarBarDIC[setIndex][2]:setRoundSize(1, 0.5,0.5,0.5);--菱形
            --     self.tarBarDIC[setIndex][2]:setLocation(-305, 1, 0);
            --     self.tarBarDIC[setIndex][2]:SetDimensions(91, 91);
            -- end
        end
    end
end
function Lua_KuaFuFuBenWindow:dispose()
	self:superCall("dispose");
   Lua_CommonUtil.removeTimer(self,self.updateStartTime); 
end