Lua_KuaFuRewardCell = class("Lua_KuaFuRewardCell",Lua_ListCell)
function Lua_KuaFuRewardCell:ctor(p)
  	self:superCall("ctor",p);
end

function Lua_KuaFuRewardCell:buildShowItem()
  	self:superCall("buildShowItem");

	self.xiangzi = UICreate.createUIAtlasImage(self.content,"daily_atlas_1","ui_daily_icon_bx",0,0,0,0)
	self.xiangzi:setDepth(6);
	self.xiangzi.clickScale = false;
	self.xiangzi:addClickFuntion(self,self.onClick)

    self.day = UICreate.createLabel(self.content, "", 0, -45, 250, 30, 22);
    self.day.pivot = UIWidget.Pivot.Center;
   	self.day:setLocation(0, -45, 0);
   	self.day.effectColorStr = Lua_ColorDefine.transColor("051223");
  	self.day.effectStyle = 3;
  	self.day:setEffectDistance(1,1)
   	self.day:setDepth(6);
    
    self.redDot = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 18, 18, 0, 0);
    self.redDot.name = "redDot";
    self.redDot:setDepth(7);
end

function Lua_KuaFuRewardCell:setData(data)
	self.data = data;
	self.day.text = LanUtil.formateStr(LanUtil.getValue(140322),tostring(data.index))
	-- self.xiangzi:removeClickFuntion(self,self.onClick)
  	if data.obj_value == 0 then
  		self.redDot:setEnable(false);
  		self.xiangzi:setAltas("daily_atlas_1","ui_daily_icon_bx")
	elseif  data.obj_value == 1 then
		self.redDot:setEnable(true);
		self.xiangzi:setAltas("daily_atlas_1","ui_daily_icon_bx")
	elseif  data.obj_value == 2 then
		self.redDot:setEnable(false);
		self.xiangzi:setAltas("daily_atlas_1","ui_daily_icon_bx")
	end

end

function Lua_KuaFuRewardCell:onClick()
	if self.data.obj_value ~= 1 then
		local config = Lua_KuaFuUtil:getFightRewardId(DataCenter.KuaFuData.season, self.data.index);
		Lua_WindowUtil.openWin("Lua_ShowRewardWindow", WinParam.ACTION_OPEN, {title = config.name, rewardId = config.reward_id});
	else
		local cmd = getProtoMsg("Proto11405524")
		cmd.box_index = self.data.obj_id;
		sendMsg(11405524,cmd)
	end
end

function Lua_KuaFuRewardCell:setIndex(index)
	
end

function Lua_KuaFuRewardCell:setPos(x,y)
	-- self.content.transform.localPosition = Vector3(x, y, 0);
	LuaUtil.setObjPos(self.content, x, y, 0);
end

function Lua_KuaFuRewardCell:dispose()
	self:superCall("dispose");
end