Lua_KuaFuRewardWindow  = class("Lua_KuaFuRewardWindow",Lua_ThirdSizeWindow);
function Lua_KuaFuRewardWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_KuFuRewardWindow";
	self.skinName = "KuaFuRewardWindow_skin";
	self.titleText = "榮耀奬勵";
	self.w = 910;
	self.h = 564;
end

function Lua_KuaFuRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 880, 434));
	self.dragList:setLocation(0, -4, 0);
	self.dragList:setListCell(KuaFuRewardCellItem, 116, 880, 1);
	

	
	
	self:addLuaEvent("INTERFACE_INFO",self,self.interfaceInfo);
	self:interfaceInfo();
end
function Lua_KuaFuRewardWindow:interfaceInfo()
	self.dragList:setLuaArrayData(DataCenter.KuaFuData.honorRewardArr, false);
	self.showTxt.text = LanUtil.formateStr(LanUtil.getValue(140311),tostring(DataCenter.KuaFuData.honor))
end
function Lua_KuaFuRewardWindow:dispose()	
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end
	self:superCall("dispose");
end





--------------------分割线---------------------
KuaFuRewardCellItem = class("KuaFuRewardCellItem", Lua_ListCell);
function KuaFuRewardCellItem:ctor(p)
	self:superCall("ctor", p,"KuaFuRewardItem_skin");
end

function KuaFuRewardCellItem:buildShowItem()
	self:superCall("buildShowItem");

    self.rItem = Lua_RewardItem.new(self.content);
    self.rItem:buildShowItem();
    self.rItem:setLayout(103, 95, 7);
    self.rItem:setMaxShow(7);
    self.rItem:setDepth(self.depth+10);
    self.rItem:setClickWin(true);
    self.rItem:setMouseEnble(true);
    self.rItem:setItemScale(0.85,0.85);
    self.rItem:setLocation(-390,-9, 0);
    self.getBtn:addClickFuntion(self,self.onGetClick)
end

function KuaFuRewardCellItem:setData(data)
	self.data = data;
	self.rItem:setRewardByRewardList(Array(data.teamGloryReward.reward_id))
	self.showTxt.text = LanUtil.formateStr(LanUtil.getValue(140313),tostring(data.teamGloryReward.honor))
	if tonumber(data.obj_value) == 0  then
		self.getBg:setAltas("common_atlas_2","ui_common_tishi")
		self.getTxt.text = LanUtil.getValue(124016);
		self.getTxt.effectColorStr = Lua_ColorDefine.transColor("6C2E41");
		self.getBg:setEnable(true);
		self.getTxt:setEnable(true);
		self.getBtn:setEnable(false);
	elseif tonumber(data.obj_value) == 1  then			
		self.getBg:setEnable(false);
		self.getTxt:setEnable(false);
		self.getBtn:setEnable(true);
	elseif tonumber(data.obj_value) == 2  then
		self.getBg:setAltas("common_atlas_2","ui_common_tishi2")
		self.getBg:setEnable(true);
		self.getTxt:setEnable(true);
		self.getBtn:setEnable(false);
		self.getTxt.text = LanUtil.getValue(124017);
		self.getTxt.effectColorStr = Lua_ColorDefine.transColor("18590D");
	end
	
end
function KuaFuRewardCellItem:onGetClick()
	local cmd = getProtoMsg("Proto11405525");
	cmd.index = self.data.index ;
	sendMsg(11405525, cmd);
	
end
-- function KuFuRewardCellItem:showRedDot(val)
-- 	if val == true then
-- 		if self.redDot == nil then
-- 			self.redDot = UICreate.createUIAtlasImage(self.content, "iconantlas4", "redDot", 367, -5, 0, 0);
-- 			self.redDot:setDepth(7);
-- 		end
-- 		self.redDot:setEnable(true);
-- 	else
-- 		if self.redDot ~= nil then
-- 			self.redDot:setEnable(false);
-- 		end
-- 	end
-- end
function KuaFuRewardCellItem:dispose()
	self:superCall("dispose");
end