Lua_KuaFuTargetWindow  = class("Lua_KuaFuTargetWindow",Lua_ThirdSizeWindow);
function Lua_KuaFuTargetWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_KuaFuTargetWindow";
	self.skinName = "TargetWindow_skin";
	self.titleText = "戰隊目標奬勵";
	self.w = 910;
	self.h = 564;
end
function Lua_KuaFuTargetWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 880, 434));
	self.dragList:setLocation(0, -4, 0);
	self.dragList:setListCell(TargetCellItem, 116, 880, 1);
	local arr = Lua_KuaFuUtil:teamTargeReward(DataCenter.KuaFuData.season)

	self.dragList:setLuaArrayData(arr, false);
	self.showTxt.text = LanUtil.formateStr(LanUtil.getValue(140312),tostring(DataCenter.KuaFuData.total_battle_times),tostring(20))
	local atimeStr = TimeTransform.getInstance():transSeconds8(DataCenter.KuaFuData.season_end_tick, LanUtil.getValue(157));
	self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(124019),tostring(atimeStr));

end

TargetCellItem = class("TargetCellItem", Lua_ListCell);
function TargetCellItem:ctor(p)
	self:superCall("ctor", p,"TargetItem_skin");
end

function TargetCellItem:buildShowItem()
	self:superCall("buildShowItem");


	-- 奖励展示
    self.rItem = Lua_RewardItem.new(self.content);
    self.rItem:buildShowItem();
    self.rItem:setLayout(95, 95, 6);
    self.rItem:setMaxShow(6);
    self.rItem:setDepth(self.depth+10);
    self.rItem:setClickWin(true);
    self.rItem:setMouseEnble(true);
    self.rItem:setLocation(-148,6, 0);
end

function TargetCellItem:setData(data)
	self.rItem:setRewardByRewardList(Array(data.reward_id))
	self.danTxt.text = data.name
	self.rank:setAltas(data.atlas,data.atlas_name );
	--self.showTxt.text = LanUtil.formateStr(LanUtil.getValue(140313),tostring(data.honor))

	-- if data.honor_reward == 0 or data.honor_reward == nil then
	-- 	self.getBg:setEnable(false);
	-- 	self.getTxt:setEnable(false);
	-- end
end