checkRequire("Lua_KuaFuTeamJointItem");
Lua_KuaFuTeamJointListWindow = class("Lua_KuaFuTeamJointListWindow", Lua_Window);
function Lua_KuaFuTeamJointListWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_KuaFuTeamJointListWindow";
	self.skinName = "KuaFuTeamJointListWindow_skin";
end

function Lua_KuaFuTeamJointListWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 880, 355));
	self.dragList:setLocation(0, 39, 0);
	self.dragList:setListCell(Lua_KuaFuTeamJointItem, 120, 880, 1);

	self.clearBtn:addClickFuntion(self, self.onClearClick);
	self.autoBox:addBoxChange(self, self.onBoxClick);
	self.autoBox.seleted = DataCenter.KuaFuData.auto_apply == 1;
	self:addLuaEvent("LOOKTEAM_INFO", self, self.onKuaFuUpdateList);
end

function Lua_KuaFuTeamJointListWindow:onKuaFuUpdateList()
	self.dragList:setLuaArrayData(DataCenter.KuaFuData.shenQingArr, false);
end

function Lua_KuaFuTeamJointListWindow:onClearClick(go)
	sendMsg(11405529);
	DataCenter.KuaFuData.shenQingArr:clear();
	self:onKuaFuUpdateList();
end

function Lua_KuaFuTeamJointListWindow:onBoxClick(state)
	local cmd = ProtoPublic_pb.Proto11405528();
	if state == true then
		cmd.state = 1;
	else
		cmd.state = 2;
	end
	sendMsg(11405528, cmd);
end