-- 跨服3v3
checkRequire("Lua_KuaFuPlayerCell");
checkRequire("Lua_KuaFuData");
checkRequire("Lua_KuaFuStarPanel");
checkRequire("Lua_KuaFuRewardCell");
checkRequire("Lua_KuaFuUtil");
Lua_KuaFuWindow = class("Lua_KuaFuWindow", Lua_SecondSizeWindow);
function Lua_KuaFuWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_KuaFuWindow";
	self.skinName = "KuaFuWindow_skin";
	self.titleText = "跨服3V3";
end

function Lua_KuaFuWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.kuang.imgTypeNum = 4;
	self.kuang.widget.border = Vector4(0, 10, 0, 10);
	self.cancelButton:setEnable(false);

	self.mainIconId = 10121;

	self.starPanel = Lua_KuaFuStarPanel.new(self.content);

	-- self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 880, 330));
	-- self.dragList:setLocation(49.5, 39.5, 0);
	-- self.dragList.canDrag = false;--设置不可拖动
	-- self.dragList:setListCell(Lua_KuaFuPlayerCell, 375, 292.5, 3);

	-- self.matchPanel = self.matchSpr:AddComponent(typeof(UIPanel)); 
 --    self.matchPanel.name = "matchPanel";
	-- self.matchPanel.depth = 3600;
	-- self.matchPanel.startingRenderQueue = 3600;
	-- self.matchPanel.renderQueue = UIPanel.RenderQueue.StartAt;
	-- WindowMananger.getInstance():resetChildParent(self.matchSpr.transform);

    self.objMatching.gameObject:SetActive(false);

    local item;
	self.playerArr = Array();
	for i = 1, 3 do
		item = Lua_KuaFuPlayerCell.new(self.content);
		item:setBoxSize(375, 293);
		item:setLocation(-243 + (i - 1) * 291, 17, 0);
		self.playerArr:add(item);
	end

	local cell;
	self.cellArr = Array();
	for i = 1, 3 do
		cell = Lua_KuaFuRewardCell.new(self.content);
		cell:setIndex(i);
		cell:setPos(-35 + i * 164, -148);
		self.cellArr:add(cell);
	end

	self.applyBtn.label =  LanUtil.getValue(140314);
	self.applyBtn:addClickFuntion(self, self.onApplyTeamClick);
	self.wenhao:addClickFuntion(self, self.onHelpClick);
	self.teamButton:addClickFuntion(self, self.onTeamClick);
	self.addBtn:addClickFuntion(self, self.onAddClick);
	self.startButton:addClickFuntion(self, self.startClick);
	self.cancelButton:addClickFuntion(self, self.cancelClick);
	self.rankButton:addClickFuntion(self, self.rankClick);
	self.targetButton:addClickFuntion(self, self.targetClick);
	self.gloryButton:addClickFuntion(self, self.gloryClick);

	self:addLuaEvent("INTERFACE_INFO",self,self.interfaceInfo);
	self:addLuaEvent("LOOKTEAM_INFO",self,self.lookTeamInfo);
	self:addLuaEvent("UPDATE_REDDOT_EVENT", self, self.updateRedDot);

	sendMsg(11405520);
	sendMsg(11405508);
end

function Lua_KuaFuWindow:interfaceInfo()
	local kuafuInfo = DataCenter.KuaFuData;
	self.frequencyLab.text = LanUtil.formateStr(LanUtil.getValue(140307),tostring(kuafuInfo.total_battle_times));
	self.winningLab.text = LanUtil.formateStr(LanUtil.getValue(140308),tostring(kuafuInfo.win_rate));
	self.gloryLab.text = LanUtil.formateStr(LanUtil.getValue(140309),tostring(kuafuInfo.honor));
	self.numberLab.text = LanUtil.formateStr(LanUtil.getValue(120905),tostring(kuafuInfo.left_fight_times));
	self.openTime.text = LanUtil.getValue(140329);--开启时间描述
	local len = kuafuInfo.fightSeasonRewardArr:getSize()
	for i = 1, len do
		self.cellArr[i]:setData(kuafuInfo.fightSeasonRewardArr[i]);
	end
	local barNum = 0;

	if kuafuInfo.cur_fight >= kuafuInfo.fightSeasonRewardArr[3].index then
		barNum = kuafuInfo.fightSeasonRewardArr[3].index;
	else
		barNum = kuafuInfo.cur_fight;
	end
	
	self.effectBar:setMaxValue(kuafuInfo.fightSeasonRewardArr[3].index);
	self.effectBar:setValue(barNum);
	if DataCenter.KuaFuData:isMatch() == true then
		--DataCenter.taskHook:opencloseHook(true);
		GlobalVar.hooking = true;
		DataCenter.hook:stop(false);
		DataCenter.KuaFuData.kuafuHookInng = true;

		self.objMatching.gameObject:SetActive(true);
		self.timeLab.text = (1).."s";
		self.startTtime = 0;
		self.intoSpr.gameObject:SetActive(false);
		self.matchComplete:setEnable(false);
		self:onPipeiStart()
		self.cancelButton:setEnable(true);
		self.startButton:setEnable(false);
		Lua_CommonUtil.addTimer("Lua_KuaFuWindow", 1, self, self.onPipeiStart);
	else
		--DataCenter.taskHook:opencloseHook(false);
		self.objMatching.gameObject:SetActive(false);
		self.cancelButton:setEnable(false);
		 self.startButton:setEnable(true);
		-- DataCenter.taskHook:opencloseHook(true);
	end
	self.honorRod:setEnable(kuafuInfo.isHonorRod)
end

function Lua_KuaFuWindow:lookTeamInfo()
	local teamInfo = DataCenter.KuaFuData;
	if teamInfo.combat_team_info == nil then
		self.teamLab.text = LanUtil.getValue(140310);
		self.applyBtn:setEnable(true);
		self.startButton:setEnable(false);
		local data = Lua_KuaFuUtil:teamRuleRewad(101);
		self.gradeTxt.text = data.name;
		self.starBar:setText("0/"..data.score_range[2]); 
		self.starBar:setMaxValue(data.score_range[2]);
		self.starBar:setValue(0);
		local spNum = Lua_KuaFuUtil:teamClassSp(101);
		--self.gradeSp:setAltas("kuafuWindow","flag_"..spNum);
		local starNum = Lua_KuaFuUtil:teamStarNum(101);
		for i=1,starNum do
			self.starPanel.starCellArr[i]:setData();
		end
	else
		self.startButton:setEnable(true);
		self.applyBtn:setEnable(false);
		self.teamLab.text = LanUtil.formateStr(LanUtil.getValue(140306),tostring(teamInfo.combat_team_info.name))
		local data = Lua_KuaFuUtil:teamRuleRewad(teamInfo.combat_team_info.grade_id)
		self.gradeTxt.text = data.name;
		self.starBar:setText(teamInfo.combat_team_info.score.."/"..data.score_range[2]); 
		self.starBar:setMaxValue(data.score_range[2]);
		self.starBar:setValue(teamInfo.combat_team_info.score);
		local spNum = Lua_KuaFuUtil:teamClassSp(teamInfo.combat_team_info.grade_id);
		--self.gradeSp:setAltas("kuafuWindow","flag_"..spNum);
		local starNum = Lua_KuaFuUtil:teamStarNum(teamInfo.combat_team_info.grade_id)
		for i=1,starNum do
			self.starPanel.starCellArr[i]:setData();
		end
	end
	-- self.dragList:setLuaArrayData(teamInfo.memberInfoArr, false);

	for i = 1, 3 do
		self.playerArr[i]:setData(teamInfo.memberInfoArr[i]);
	end
end

-- 更新红点
function Lua_KuaFuWindow:updateRedDot()
	local isShow = DataCenter.redDotData:getIconShowRedDotState(self.mainIconId);
	if isShow then
		if self.redDotIcon == nil then
			self.redDotIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", -480, 220, 0, 0);
			self.redDotIcon:setDepth(5);
		end
		self.redDotIcon:setEnable(true);
	else
		if self.redDotIcon ~= nil then
			self.redDotIcon:setEnable(false);
		end
	end
end

function Lua_KuaFuWindow:cancelClick()
	sendMsg(10105503);

	if DataCenter.KuaFuData.hasTeam == false then
		self.objMatching.gameObject:SetActive(false);
		self.startButton:setEnable(true);
		self.cancelButton:setEnable(false);

		DataCenter.taskHook:opencloseHook(false);
		Lua_CommonUtil.removeTimer(self,self.onPipeiStart);
	end
end

function Lua_KuaFuWindow:onPipeiStart()
	self.startTtime  = self.startTtime + 1
	self.timeLab.text = (self.startTtime).."s";
	-- self.matchPanel.renderQueue = UIPanel.RenderQueue.Automatic;

	-- self.cancelButton:setEnable(true);
	-- self.startButton:setEnable(false);

	-- self.matchComplete:setEnable(false);
	-- self.matchSpr.gameObject:SetActive(false);
	-- self.startButton:setEnable(true);
	-- self.cancelButton:setEnable(false);
	-- if DataCenter.KuaFuData.hasTeam == false then
	-- 	sendMsg(10105503);
	-- end
	-- DataCenter.taskHook:opencloseHook(true);
	-- Lua_CommonUtil.removeTimer(self,self.onPipeiStart);
end

function Lua_KuaFuWindow:onBtnCloseClick()	
	if DataCenter.KuaFuData:isMatch() == true then
		if DataCenter.teamData.leader_id == DataCenter.roleData.roleId or  DataCenter.teamData.leader_id == 0 or 
			DataCenter.teamData.leader_id == ""  then
			sendMsg(10105503);
			self:dispose();
			self:hide();
		else
			return;
		end
	else
		self:hide();
	end
	self:superCall("onBtnCloseClick");
end

function Lua_KuaFuWindow:startClick()
	sendMsg(10105502);
end

function Lua_KuaFuWindow:onAddClick()
	Lua_WindowUtil.openWin("Lua_BuyTimesWindow", WinParam.ACTION_OPEN, {owner = self, useGold = 1, costType = Lua_MoneyData.BIND_GOLD, configSign = "team_conbat_buy_times",
	residueTimes = DataCenter.KuaFuData.left_buy_times, costList = Lua_KuaFuUtil:getKuFuByTimesCost(), callback = self.onBuyTimes});
end

function Lua_KuaFuWindow:onBuyTimes(val)
	local cmd = getProtoMsg("Proto11405526")
	cmd.times = val;
	sendMsg(11405526,cmd)
end

function Lua_KuaFuWindow:onHelpClick()
	--DataCenter.taskHook:opencloseHook(false);
	Lua_WindowUtil.openWin("Lua_KuaFuRulesWindow");
end

function Lua_KuaFuWindow:rankClick()
	sendMsg(11405521);
	Lua_WindowUtil.openWin("Lua_TeamRankWindow");
end

function Lua_KuaFuWindow:onTeamClick()
	if DataCenter.KuaFuData.combat_team_info ==  nil then
		sendMsg(11405511);
		Lua_WindowUtil.openWin("Lua_TeamApplyWindow");
	else
		Lua_WindowUtil.openWin("Lua_CaptainWindow");
	end
end

function Lua_KuaFuWindow:onApplyTeamClick()
	sendMsg(11405511);
	Lua_WindowUtil.openWin("Lua_TeamApplyWindow");
end

function Lua_KuaFuWindow:targetClick()
	Lua_WindowUtil.openWin("Lua_KuaFuTargetWindow");
end

function Lua_KuaFuWindow:gloryClick()
	Lua_WindowUtil.openWin("Lua_KuaFuRewardWindow");
end

function Lua_KuaFuWindow:dispose()
	Lua_CommonUtil.removeTimer(self,self.onPipeiStart);
	self:superCall("dispose");
end