checkRequire("Lua_TeamApplyItem");
Lua_TeamApplyWindow  = class("Lua_TeamApplyWindow",Lua_ThirdSizeWindow);
function Lua_TeamApplyWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_TeamApplyWindow";
	self.skinName = "TeamApplyWindow_skin";
	self.titleText = "戰隊列表";
	self.w = 910;
	self.h = 564;
	self.isClickClose = true;
end

function Lua_TeamApplyWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.notShowBox:setDepth(5);
	self.dragList = Lua_DragList.new(self.content, 1, Vector4(-2, -18, 880, 346));
	self.dragList:setLocation(0, 0, 0);
	self.dragList:setListCell(Lua_TeamApplyItem, 68, 880, 1);

	
	self.foundBtn:addClickFuntion(self,self.onFounBtnClick);
	self.applyBtn:addClickFuntion(self,self.onApplyBtnClick);
	self.notShowBox:addBoxChange(self,self.notShowCrammed);
	DataCenter.KuaFuData.isApply = true;
	self:addLuaEvent("APPLYTEAMLIST",self,self.onShowTeamList);
	self.winBg:setLocation(0,-20);
end
function Lua_TeamApplyWindow:showWin(param)
	self:superCall("showWin", param);
	DataCenter.KuaFuData.isApply = param;
	self:onShowTeamList();
end
function Lua_TeamApplyWindow:onApplyBtnClick()

	if DataCenter.KuaFuData.isApply == true  then
		DataCenter.KuaFuData.isApply = false;
	else
		DataCenter.KuaFuData.isApply = true;
	end
	self:onShowTeamList();
end

function Lua_TeamApplyWindow:onFounBtnClick()
	Lua_WindowUtil.openWin("Lua_TeamCreateWindow");
end

function Lua_TeamApplyWindow:notShowCrammed(state)
	self.notShowBox.seleted = state;
	self:onShowTeamList();
end
function Lua_TeamApplyWindow:onShowTeamList()
	-- print(DataCenter.KuaFuData.isApply," self.selectCheckBox.seleted = false;", self.notShowBox.seleted)
	if DataCenter.KuaFuData.isApply == true  then
		self.applyBtn.label = LanUtil.getValue(140305);
		if self.notShowBox.seleted == false then
			self.dragList:setLuaArrayData(DataCenter.KuaFuData:allApplyList(), false);
		else
			self.dragList:setLuaArrayData(DataCenter.KuaFuData:dissatisfactionallApplyList(), false);
		end	
	else
		self.applyBtn.label = LanUtil.getValue(140304);
		-- self.dragList:setLuaArrayData(DataCenter.KuaFuData:allInvitedList(), false);
		if self.notShowBox.seleted == false then
			self.dragList:setLuaArrayData(DataCenter.KuaFuData:allInvitedList(), false);
		else
			self.dragList:setLuaArrayData(DataCenter.KuaFuData:dissatisfactionallInvitedList(), false);
		end	
	end
	self:updateRedDot();
end

-- 更新红点
function Lua_TeamApplyWindow:updateRedDot()
	local isShow = DataCenter.redDotData:getRedDotStateByEventId(22102);
	if DataCenter.KuaFuData.isApply and isShow then
		if self.redDotIcon == nil then
			self.redDotIcon = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_hongdian", 235, -225, 0, 0);
			self.redDotIcon:setDepth(5);
		end
		self.redDotIcon:setEnable(true);
	else
		if self.redDotIcon ~= nil then
			self.redDotIcon:setEnable(false);
		end
	end
end