Lua_TeamCreateWindow = class("Lua_TeamCreateWindow",Lua_ThirdSizeWindow)
function Lua_TeamCreateWindow:ctor()
	self:superCall("ctor",true,3500,true,LanUtil.getValue(140336));
	self.w = 600;
	self.h = 410;
	self.windowName = "Lua_TeamCreateWindow";
	self.skinName = "TeamCreateWindow_skin";
	self.isClickClose = true;
	self.nameMaxLen = 12;
	self.nameMinLen = 2;
	self.createNeedMoney = 0;
end
function Lua_TeamCreateWindow:buildShowItem()
	self:superCall("buildShowItem");
	
	self.consumeCopper.text = LanUtil.formateStr(LanUtil.getValue(121196),tostring(Lua_KuaFuUtil:createCostMoney()))
	self.cancelBtn:setDepth(self.depth+2);
	self.createBtn:setDepth(self.depth+2);
	self.createBtn:addClickFuntion(self,self.onCreateClick);
	self.cancelBtn:addClickFuntion(self,self.onCancelClick);

	self.nameInput.text = "";
	self.nameInput.defaultText = LanUtil.getValue(121001);

	self.winBg:setLocation(0, -20);
end

function Lua_TeamCreateWindow:onCreateClick()
	local teamName = self.nameInput.text;
	if teamName == nil or teamName == "" or teamName == LanUtil.getValue(121001) then
		OperateAlert.show(LanUtil.getValue(121001));
		return;
	end
	if strlen(teamName)>self.nameMaxLen then
		OperateAlert.show(LanUtil.getValue(121002));
		return;
	end
	if LanUtil.isIncludeInvalidWord(teamName) == true then
		OperateAlert.show(LanUtil.getValue(121047));
		return;
	end
	DataCenter.KuaFuData.teamName = teamName;
	-- if DataCenter.moneyData:isMoneyEnough(Lua_MoneyData.COPPER_AND_BINDCOPPER, self.createNeedMoney, true, false) == false then
	-- 	return;
	-- end

	local cmd = ProtoPublic_pb.Proto11405501(); 
	cmd.name = teamName;
	sendMsg(11405501,cmd);
	
end

function Lua_TeamCreateWindow:onCancelClick()
	self:hide();
end