Lua_TeamRankItem = class("Lua_TeamRankItem", Lua_ListCell);
function Lua_TeamRankItem:ctor(p)
	self:superCall("ctor", p,"TeamRankItem_skin");
end

function Lua_TeamRankItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_TeamRankItem:setData(data)
	self.bg:setDepth(4);
	self.rankTxt:setEnable(false);
	self.rankSp:setEnable(true);
	if data.rank==1 then
        self.rankSp:setAltas("leaderBoard_atlas", "ui_paihang_widget_no1");
    elseif data.rank==2 then
      	self.rankSp:setAltas("leaderBoard_atlas", "ui_paihang_widget_no2");
    elseif data.rank==3 then
      	self.rankSp:setAltas("leaderBoard_atlas", "ui_paihang_widget_no3");
  	else
  		self.rankSp:setEnable(false);
  		self.rankTxt:setEnable(true);
    end
    self.rankTxt.text = data.rank;
    self.teamTxt.text = data.name;
    self.captainTxt.text = data.captain_name;
    self.forceTxt.text = data.fight_force;
    self.teamLvTxt.text = Lua_KuaFuUtil:teamRuleRewad(data.grade_id).other_name;
    self.numTxt.text = data.score;
    
end