Lua_KuaFuTeamCommiteItem = class("Lua_KuaFuTeamCommiteItem", Lua_DisplayObject);
function Lua_KuaFuTeamCommiteItem:ctor(p)
	self:superCall("ctor", p, "KuaFuTeamCommiteItem_skin");
end

function Lua_KuaFuTeamCommiteItem:setData(data)
	self.data = data;

	if data == nil then
		self.headImg:setEnable(false);
		self.nameTxt:setEnable(false);
		self.wenSp:setEnable(true);
	else
		self.headImg:setEnable(true);
		self.nameTxt:setEnable(true);
		self.wenSp:setEnable(false);
		self.nameTxt.text = data.role_name;

		if data.head_frame ~= nil and data.head_frame ~= 0 then
			if isHeadReplaceOpen() == false then
				self.headImg:setUrl(Lua_ThingDefine.getFashionHeadIconUrlByCareer(data.role_career, data.profession));
			end
		else
			if isHeadReplaceOpen() == false then
				self.headImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(data.role_career, data.profession));
			end
		end

		if isHeadReplaceOpen() == true then
			self:updataCustomHead();
		end
	end
end	

function Lua_KuaFuTeamCommiteItem:updataCustomHead()
	if self.data ~= nil then
		local role_head = self.data.role_head_name;
		if role_head ~= nil and role_head ~= "" then
			local isDefault = DataCenter.roleData:isDefaultHead(self.data.role_career, role_head);
			if isDefault == true then
				if self.data.head_frame ~= nil and self.data.head_frame ~= 0 then
					self.headImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 1));
				else
					self.headImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
				end
			else
				self.headImg:setUrl(role_head, 99, true);
				-- if self.data.head_frame ~= nil and self.data.head_frame ~= 0 then
					self.headImg:setRoundSize(0, 0.5, 0.5, 0.25); -- 圆形
				-- else
				-- 	self.headImg:setRoundSize(1, 0.5, 0.5, 0.5); -- 菱形
				-- end
			end
		end
	end
end