checkRequire("Lua_TeamRankItem");
Lua_TeamRankWindow  = class("Lua_TeamRankWindow",Lua_ThirdSizeWindow);
function Lua_TeamRankWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_TeamRankWindow";
	self.skinName = "TeamRankWindow_skin";
	self.titleText = "戰隊排名";
	self.w = 910;
	self.h = 564;
end

function Lua_TeamRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, -18, 880, 346));
	self.dragList:setLocation(0, 0, 0);
	self.dragList:setListCell(Lua_TeamRankItem, 68, 880, 1);

	self:addLuaEvent("INTERFACE_RANKINFO",self,self.interfaceRankInfo);
	self.winBg:setLocation(0,-20);
	
end
function Lua_TeamRankWindow:interfaceRankInfo()
	self.dragList:setLuaArrayData(DataCenter.KuaFuData.teamRankArr, false);
	local rank = DataCenter.KuaFuData.self_combat_team.grade_id;
	if DataCenter.KuaFuData.self_combat_team.name == "" or DataCenter.KuaFuData.self_combat_team == nil  then
		self.myRankTxt.text = LanUtil.getValue(140320);
	else
		if DataCenter.KuaFuData.self_combat_team.grade_id >= Lua_KuaFuUtil:rankGrade()  then
			self.myRankTxt.text = LanUtil.formateStr(LanUtil.getValue(140321),tostring(DataCenter.KuaFuData.self_combat_team.rank));
		else
			self.myRankTxt.text = LanUtil.getValue(140333);
		end
	end
end