-- 战队更名
Lua_TeamRenameWindow = class("Lua_TeamRenameWindow", Lua_ThirdSizeWindow)
function Lua_TeamRenameWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(140328));

	self.windowName = "Lua_TeamRenameWindow";
	self.skinName = "TeamRenameWindow_skin";
	self.w = 600;
	self.h = 362;
	self.isClickClose = true;
	self.nameMaxLen = 12;
	-- self.nameMinLen = 2;
	-- self.createNeedMoney = 0;
end

function Lua_TeamRenameWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.consumeCopper.text = LanUtil.formateStr(LanUtil.getValue(121196),tostring(Lua_KuaFuUtil:createCostMoney()))
	
	self.createBtn:addClickFuntion(self,self.onOkClick)
	self.cancelBtn:addClickFuntion(self,self.hide)
end

function Lua_TeamRenameWindow:onOkClick()
	local teamName = self.nameInput.text;
	if teamName == nil or teamName == "" or teamName == LanUtil.getValue(121001) then
		OperateAlert.show(LanUtil.getValue(121001));
		return;
	end

	if strlen(teamName)>self.nameMaxLen then
		OperateAlert.show(LanUtil.getValue(121002));
		return;
	end

	if LanUtil.isIncludeInvalidWord(teamName) == true then
		OperateAlert.show(LanUtil.getValue(121047));
		return;
	end

	DataCenter.KuaFuData.teamName = teamName;
	-- if DataCenter.moneyData:isMoneyEnough(Lua_MoneyData.COPPER_AND_BINDCOPPER, self.createNeedMoney, true, false) == false then
	-- 	return;
	-- end

	local cmd = ProtoPublic_pb.Proto11405501(); 
	cmd.name = teamName;
	sendMsg(11405506,cmd);
	self:hide();
end